(function ($, Drupal) {
  Drupal.agency = Drupal.agency || {};
  Drupal.behaviors.agencyActions = {
    attach: function (context, settings) {
      Drupal.agency.selectBox('view-resources');
      Drupal.agency.selectBox('view-works');
      Drupal.agency.selectBox('view-news');
      Drupal.agency.actionMenu();
      Drupal.agency.footerCollapse();
      Drupal.agency.aboutSlick();

    }
  }

  Drupal.behaviors.backtotop = {
    attach: function (context, settings) {
      var exist = $('#backtotop').length;
      if (exist == 0) {
        $("body", context).once('backtotop').each(function () {
          $('body').append("<div class='backtotop-wrapper container'><div id='backtotop'>Back to top</div></div>");
        });
      }

      backToTop();
      $(window).scroll(function () {
        backToTop();
      });

      $('#backtotop', context).once('backtotop').each(function () {
        $(this).click(function () {
          $("html, body").bind("scroll mousedown DOMMouseScroll mousewheel keyup", function () {
            $('html, body').stop();
          });
          $('html,body').animate({
            scrollTop: 0
          }, 1200, 'easeOutQuart', function () {
            $("html, body").unbind("scroll mousedown DOMMouseScroll mousewheel keyup");
          });
          return false;
        });
      });

      /**
       * Hide show back to top links.
       */
      function backToTop() {
        if ($(window).scrollTop() > 100) {
          $('#backtotop').fadeIn();
        } else {
          $('#backtotop').fadeOut();
        }
      }
    }
  };

  Drupal.agency.selectBox = function (item) {
    $(window).on('click', function () {
      $('.' + item + ' .view-filters').removeClass('active');
    })
    $('.' + item + '  .view-filters').once().on('click', function (event) {
      $(this).toggleClass('active');
      event.stopPropagation();
    })
    $('.' + item + '  input[checked="checked"] + label').removeAttr('for');
    $('.' + item + '  .form-item').removeClass('active');
    $('.' + item + '  input[checked="checked"]').closest('.form-item').addClass('active');
  }

  Drupal.agency.actionMenu = function () {

    $('.menu-button').once().on('click', function (event) {
      $(this).toggleClass('active');
      $('#header').toggleClass('active');
      event.stopPropagation();
    })

    if ($(window).scrollTop() > 0){
      $('#header').addClass('scroll');
    } 
    $(window).scroll(function(){
      if ($(window).scrollTop() > 0){
        $('#header').addClass('scroll');
      } else {
        $('#header').removeClass('scroll');
      }
    })
  };
  Drupal.agency.footerCollapse = function (){
    if ($(window).width() <= 480) {
      $(".section-section-footer .block").attr('click-state', 0);
      $(".section-section-footer h2").once().on("click", function () {

        if ($(this).parent('.block').attr('click-state') == 0) {
          $(this).parent('.block').attr('click-state', 1);
          $(this).parent('.block').addClass('active');
        } else {
          $(this).parent('.block').attr('click-state', 0);
          $(this).parent('.block').removeClass('active');
        }
      });
    }
  }
  Drupal.agency.aboutSlick = function (){
    $('.view-our-team .view-content').once().slick({
      rows: 2,
      arrows: false,
      dots: true,
      slidesToShow: 4,
      slidesToScroll: 8,
      autoplay: true,
      autoplaySpeed: 4000,
      responsive: [
        {
          breakpoint: 992,
          settings: {
             slidesToShow: 2,
             rows: 1,
             slidesToScroll: 2,
          }
        },
        {
          breakpoint: 481,
          settings: {
            slidesToShow: 1,
            slidesToScroll: 1,
            rows: 1,
          }
         }
       ]
     });
  }


})(jQuery, Drupal);
